glusterfs的一个坑!!!!

问题描述

注意此版本有内存泄漏

glusterfs-3.12.9

使用时候更新到

glusterfs-3.12.15

即可。

为什么是一个坑

glusterfs-3.12.9 是随版本一起发布的,所以默认安装的情况下,必然产生内存泄漏。

人已赞赏
文章

【vdsm 源代码漫步】 1. 总体架构

2019-9-6 17:40:00

文章

oVirt超融合的设计分析(gluster和raid)

2019-9-9 9:35:04

2 条回复 A文章作者 M管理员
  1. imjoey

    能描述一下问题的表征吗?有给 oVirt 和 gluster 社区提交 issue 吗?谢谢。

    • 王猛

      新版本已经解决了。
      之所以把这个问题提出来,是因为我们曾经遇到过,并且发现有些人又遇到了同样的问题。因为大家比较相信默认安装版本的稳定性,然而此默认安装版本有此类问题,所以如果正在使用3.12版本,升级的时候需要注意。
      使用的时候最好使用版本3.12.15(解决了很多bug)。 一旦安装了有问题的版本,几周之后你会发现有个glusterfs线程(使用top命令)占用了大量的内存。此线程会一直把主机的内存占到99%以上。
      此bug 应该是在 #1613512: Backport glusterfs-client memory leak fix to 3.12.x 解决的。

个人中心
购物车
优惠劵
今日签到
有新私信 私信列表
搜索
您好,有任何疑问请与我们联系!